function     nd=Normalize(data);

%input: data  D x N, where D is dimension and N is the number of points
%output:  nd  D x N, each point is normalized by mean-variance
[D, N]=size(data);

avg=mean(data);
dev=sqrt(D)*std(data,1);

avg=ones(D,1)*avg;
dev=ones(D,1)*dev;

nd=(data-avg)./dev;


